# RPM specfile for gftp module
# Generated Wed Nov 19 17:30:26 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.40.2.2 2003/11/13 03:28:59 mibarra Exp $

%define nam	gftp
%define ver	2.0.15
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	gftp
Version: 	2.0.15
Release:	2.ximian.6.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	gftp-2.0.15.tar.bz2
Patch0:		gftp-left-aligned-help.patch
Patch1:		gftp-bookmarks.patch
Patch2:		gftp-de.po.patch
BuildRequires:	gnome-common
BuildRequires:	pkgconfig
BuildRequires:	gtk2-devel
Summary:	X/GTK+ FTP client
Group:		Applications/Internet
Requires:	gtk2 >= 2.2.0
Provides:	ximian-gftp = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
gFTP is a multithreaded FTP client for X written using GLib/GTK+.
It features:
* simultaneous downloads,
* resuming of interrupted file transfers,
* file transfer queues,
* downloading of entire directories,
* FTP and HTTP proxy support,
* remote directory caching,
* passive and non-passive file transfers,
* drag-n-drop support,
* bookmarks menu,
* stop button, and many more features.

%files
%defattr(-, root, root)
%doc ChangeLog AUTHORS COPYING README THANKS TODO
/usr/bin/*
/usr/share/gftp
/usr/share/pixmaps/*
/usr/share/gnome/apps/Internet/*
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/man/man1/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gftp-2.0.15
    ;;
all)
%setup  -q -n gftp-2.0.15
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-gtk20
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 1:2.0.15-2.ximian.6.2
- Summary: New build.
- New automated build.

* Fri Apr 25 2003 Ximian, Inc.

- Version: 1:2.0.14-2.ximian.3
- Summary: New build.
- New automated build.

